Bug 1226514 - yumex-dnf-4.1.3-1.fc22 from updates-testing don't apply any change
Summary: yumex-dnf-4.1.3-1.fc22 from updates-testing don't apply any change
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1228276
TreeView+ depends on / blocked
 
Reported: 2015-05-30 06:27 UTC by dominique
Modified: 2015-11-18 17:10 UTC (History)
5 users (show)

Fixed In Version: 4.1.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-18 17:10:56 UTC
Type: Bug


Attachments (Terms of Use)
yumex-dnf-1.txt (6.07 KB, text/plain)
2015-06-01 16:07 UTC, dominique
no flags Details
yumex-dnf-2.txt (2.09 KB, text/plain)
2015-06-01 16:08 UTC, dominique
no flags Details

Description dominique 2015-05-30 06:27:03 UTC
Description of problem:

I test yumex-dnf-4.1.3-1.fc22 from updates-testing and there is a problem.
When I want enable updates-testing repo from preference tab, that don't work, repo updates-testing is not enable and there is no package to show.

That work fine with "dnf update --enablerepo=updates-testing" in console, I can see package from updates-testing repo.



With yumex-dnf-4.1.2-1.fc22 from updates repo that work fine.

Comment 1 Tim Lauridsen 2015-05-31 15:53:42 UTC
Can't reproduce that 

Main Menu -> Preferences -> Repositories

Check updates-testing and press OK

The list updates and show available updates from updates-testing

Comment 2 dominique 2015-05-31 16:16:31 UTC
Ok Tim, but that don't work for me.

I test after the command "dnf clean all", in root, for same result.

May be it's a problem with dnf, and not with yumex-dnf ?

What version of dnf do you use ?

Mine is dnf-1.0.0-1.fc22.noarch

Comment 3 Tim Lauridsen 2015-06-01 07:11:00 UTC
I am also using dnf-1.0.0-1.fc22.noarch

can you follow this procedure

http://yumex-dnf.readthedocs.org/en/latest/faq.html#debug-issues-in-yum-extender

and attach the output, so I can see what goes on

Comment 4 dominique 2015-06-01 16:06:30 UTC
Ok Tim
I attach the two output: 
--yumex-dnf-1.txt is the output of "sudo /usr/share/dnfdaemon/dnfdaemon-system -v -d –notimeout"

--yumex-dnt-2.txt is the output of "yumex-dnf -d"

Comment 5 dominique 2015-06-01 16:07:25 UTC
Created attachment 1033402 [details]
yumex-dnf-1.txt

Comment 6 dominique 2015-06-01 16:08:11 UTC
Created attachment 1033403 [details]
yumex-dnf-2.txt

Comment 7 Tim Lauridsen 2015-06-04 04:54:21 UTC
Look like the updates-testing is enabled and is loaded

yumex-dnf-2.txt
18:00:25: root: Setting repos : ['adobe-linux-x86_64', 'fedora', 'kde', 'rpmfusion-free', 'rpmfusion-free-updates', 'rpmfusion-nonfree', 'rpmfusion-nonfree-updates', 'updates', 'updates-testing']

yumex-dnf-1.txt:
18:00:25:   enabled : updates-testing

Comment 8 dominique 2015-06-04 05:01:07 UTC
Yes I see that but that don't display package in the windows.

May be it's another bug, with another package, and not a yumex-dnf bug.

Comment 9 Tim Lauridsen 2015-06-05 06:37:56 UTC
what does 'dnf update --best --enablerepo=updates-testing' show

Comment 10 dominique 2015-06-05 06:56:41 UTC
That show that: 

[root@host-192-168-1-2 ~]# dnf update --best --enablerepo=updates-testing
Fedora 22 - x86_64 - Test Updates                                                     358 kB/s |  20 MB     00:55    
Fedora 22 - x86_64 - Updates                                                          362 kB/s | 5.6 MB     00:15    
Last metadata expiration check performed 0:00:11 ago on Fri Jun  5 08:49:36 2015.
Erreur : package plasma-workspace-5.3.1-2.fc22.x86_64 requires plasmashell >= 5.3.1, but none of the providers can be installed
[root@host-192-168-1-2 ~]

Comment 11 dominique 2015-06-05 14:34:10 UTC
I solve problem with plasma-workspace, and now the result for your command is : 

[root@host-192-168-1-2 ~]# dnf update --best --enablerepo=updates-testing
Last metadata expiration check performed 0:40:45 ago on Fri Jun  5 15:51:07 2015.
Dépendances résolues.
======================================================================================================================
 Paquet                                       Architecture
                                                        Version                              Dépôt              Taille
======================================================================================================================
Installation de :
 kf5-modemmanager-qt                          x86_64    5.10.0-2.fc22                        updates            167 k
 python-characteristic                        noarch    14.3.0-1.fc22                        fedora              34 k
 python-idna                                  noarch    1.0-1.fc22                           fedora              46 k
 python-ipaddress                             noarch    1.0.7-1.fc22                         updates             35 k
 python-pip                                   noarch    6.0.8-1.fc22                         updates-testing    1.7 M
 python-pyasn1-modules                        noarch    0.1.7-4.fc21                         fedora              60 k
 python-service-identity                      noarch    14.0.0-1.fc22                        fedora              22 k
Mise à jour:
 NetworkManager-openvpn                       x86_64    1:1.0.2-2.fc22                       updates-testing    189 k
 PyOpenGL                                     x86_64    3.1.0-2.fc22                         updates-testing    2.2 M
 anaconda-user-help                           noarch    22.4-1.fc22                          updates-testing     43 k
 audacious-devel                              x86_64    3.6.2-1.fc22                         updates-testing     60 k
 audacious-libs                               x86_64    3.6.2-1.fc22                         updates-testing    209 k
 augeas-libs                                  x86_64    1.4.0-1.fc22                         updates-testing    353 k
 breeze-icon-theme                            noarch    5.3.1-1.fc22                         updates-testing    1.1 M
 cinnamon-desktop                             x86_64    2.6.4-2.fc22                         updates-testing    212 k
 cinnamon-translations                        noarch    2.6.1-1.fc22                         updates-testing    2.5 M
 colord-kde                                   x86_64    0.4.0-1.20150519git.fc22             updates-testing    177 k
 createrepo_c                                 x86_64    0.9.0-1.fc22                         updates-testing     72 k
 createrepo_c-libs                            x86_64    0.9.0-1.fc22                         updates-testing     89 k
 cyrus-sasl                                   x86_64    2.1.26-23.fc22                       updates-testing     92 k
 cyrus-sasl-gssapi                            x86_64    2.1.26-23.fc22                       updates-testing     45 k
 cyrus-sasl-lib                               i686      2.1.26-23.fc22                       updates-testing    160 k
 cyrus-sasl-lib                               x86_64    2.1.26-23.fc22                       updates-testing    158 k
 cyrus-sasl-md5                               x86_64    2.1.26-23.fc22                       updates-testing     61 k
 cyrus-sasl-plain                             x86_64    2.1.26-23.fc22                       updates-testing     42 k
 cyrus-sasl-scram                             x86_64    2.1.26-23.fc22                       updates-testing     47 k
 evolution-data-server                        x86_64    3.16.2-3.fc22                        updates-testing    3.0 M
 fontconfig                                   i686      2.11.94-1.fc22                       updates-testing    245 k
 fontconfig                                   x86_64    2.11.94-1.fc22                       updates-testing    240 k
 fontconfig-devel                             x86_64    2.11.94-1.fc22                       updates-testing    137 k
 fontpackages-devel                           noarch    1.44-12.fc22                         updates-testing     29 k
 fontpackages-filesystem                      noarch    1.44-12.fc22                         updates-testing     14 k
 fuse                                         x86_64    2.9.4-1.fc22                         updates-testing     90 k
 fuse-libs                                    x86_64    2.9.4-1.fc22                         updates-testing     97 k
 genisoimage                                  x86_64    1.1.11-28.fc22                       updates-testing    295 k
 gnome-online-miners                          x86_64    3.14.3-2.fc22                        updates-testing     96 k
 grilo-plugins                                x86_64    0.2.14-3.fc22                        updates-testing    409 k
 gutenprint                                   x86_64    5.2.10-11.fc22                       updates-testing    2.3 M
 gutenprint-cups                              x86_64    5.2.10-11.fc22                       updates-testing    402 k
 gutenprint-libs                              x86_64    5.2.10-11.fc22                       updates-testing    129 k
 hdparm                                       x86_64    9.45-2.fc22                          updates-testing     89 k
 highlight                                    x86_64    3.22-1.fc22                          updates-testing    669 k
 ibus                                         x86_64    1.5.10-5.fc22                        updates-testing    367 k
 ibus-gtk2                                    x86_64    1.5.10-5.fc22                        updates-testing     50 k
 ibus-gtk3                                    x86_64    1.5.10-5.fc22                        updates-testing     50 k
 ibus-libs                                    x86_64    1.5.10-5.fc22                        updates-testing    215 k
 ibus-setup                                   noarch    1.5.10-5.fc22                        updates-testing     80 k
 ibus-wayland                                 x86_64    1.5.10-5.fc22                        updates-testing     46 k
 jack-audio-connection-kit                    x86_64    1.9.10-2.fc22                        updates-testing    545 k
 jack-audio-connection-kit-example-clients    x86_64    1.9.10-2.fc22                        updates-testing    165 k
 kactivities-libs                             x86_64    4.13.3-9.fc22                        updates-testing     72 k
 kactivities-nepomuk                          x86_64    4.13.3-9.fc22                        updates-testing     94 k
 kate4-part                                   x86_64    4.14.3-14.fc22                       updates-testing    1.9 M
 kde-cli-tools                                x86_64    5.3.1-2.fc22                         updates-testing    657 k
 kde-style-breeze                             x86_64    5.3.1-1.fc22                         updates-testing    166 k
 kdecoration                                  x86_64    5.3.1-1.fc22                         updates-testing     64 k
 kdesu                                        x86_64    1:5.3.1-2.fc22                       updates-testing     53 k
 kf5-baloo                                    x86_64    5.9.1-1.fc22                         updates-testing    140 k
 kf5-baloo-file                               x86_64    5.9.1-1.fc22                         updates-testing    214 k
 kf5-baloo-libs                               x86_64    5.9.1-1.fc22                         updates-testing    155 k
 kf5-bluez-qt                                 x86_64    5.3.1-1.fc22                         updates-testing    175 k
 kf5-kfilemetadata                            x86_64    5.9.1-1.fc22                         updates-testing    149 k
 kf5-kwayland                                 x86_64    5.3.1-1.fc22                         updates-testing    147 k
 khelpcenter                                  x86_64    1:5.3.1-3.fc22                       updates-testing    1.8 M
 kinfocenter                                  x86_64    5.3.1-1.fc22                         updates-testing    1.5 M
 kio-extras                                   x86_64    5.3.1-1.fc22                         updates-testing    916 k
 kmenuedit                                    x86_64    5.3.1-2.fc22                         updates-testing    478 k
 kscreen                                      x86_64    1:5.3.1-1.fc22                       updates-testing    218 k
 ksshaskpass                                  x86_64    5.3.1-1.fc22                         updates-testing     40 k
 ksysguard                                    x86_64    5.3.1-1.fc22                         updates-testing    645 k
 ksysguardd                                   x86_64    5.3.1-1.fc22                         updates-testing     61 k
 kwin                                         x86_64    5.3.1-2.fc22                         updates-testing    2.9 M
 kwin-libs                                    x86_64    5.3.1-2.fc22                         updates-testing    1.3 M
 kwrited                                      x86_64    5.3.1-1.fc22                         updates-testing     33 k
 less                                         x86_64    471-4.fc22                           updates-testing    127 k
 libdb                                        i686      5.3.28-12.fc22                       updates-testing    763 k
 libdb                                        x86_64    5.3.28-12.fc22                       updates-testing    736 k
 libdb-cxx                                    x86_64    5.3.28-12.fc22                       updates-testing    762 k
 libdb-devel                                  x86_64    5.3.28-12.fc22                       updates-testing     43 k
 libdb-utils                                  x86_64    5.3.28-12.fc22                       updates-testing    108 k
 libetonyek                                   x86_64    0.1.2-2.fc22                         updates-testing    283 k
 libgdata                                     x86_64    0.17.1-1.fc22                        updates-testing    422 k
 libgsf                                       x86_64    1.14.33-1.fc22                       updates-testing    242 k
 libgusb                                      i686      0.2.5-1.fc22                         updates-testing     43 k
 libgusb                                      x86_64    0.2.5-1.fc22                         updates-testing     43 k
 libgusb-devel                                x86_64    0.2.5-1.fc22                         updates-testing     43 k
 libhif                                       x86_64    0.2.0-4.fc22                         updates-testing     76 k
 libinput                                     x86_64    0.16.0-4.fc22                        updates-testing     77 k
 libkscreen-qt5                               x86_64    5.3.1-1.fc22                         updates-testing    195 k
 libksysguard                                 x86_64    5.3.1-1.fc22                         updates-testing    692 k
 libksysguard-common                          x86_64    5.3.1-1.fc22                         updates-testing     44 k
 libmwaw                                      x86_64    0.3.5-1.fc22                         updates-testing    2.3 M
 libodfgen                                    x86_64    0.1.4-1.fc22                         updates-testing    227 k
 libpcap                                      i686      14:1.7.3-1.fc22                      updates-testing    151 k
 libpcap                                      x86_64    14:1.7.3-1.fc22                      updates-testing    149 k
 librepo                                      x86_64    1.7.16-1.fc22                        updates-testing     80 k
 libreswan                                    x86_64    3.13-1.fc22                          updates-testing    1.1 M
 libsmbclient                                 x86_64    2:4.2.2-0.fc22                       updates-testing    117 k
 libtirpc                                     x86_64    0.3.1-0.0.fc22                       updates-testing     91 k
 libunwind                                    x86_64    1.1-8.fc22                           updates-testing     64 k
 libusal                                      x86_64    1.1.11-28.fc22                       updates-testing    140 k
 libwbclient                                  x86_64    2:4.2.2-0.fc22                       updates-testing     93 k
 libwmf                                       x86_64    0.2.8.4-42.fc22                      updates-testing    140 k
 libwmf-lite                                  x86_64    0.2.8.4-42.fc22                      updates-testing     72 k
 meanwhile                                    x86_64    1.1.0-17.fc22                        updates-testing     98 k
 mlocate                                      x86_64    0.26-10.fc22                         updates-testing    117 k
 mozilla-noscript                             noarch    2.6.9.25-1.fc22                      updates-testing    686 k
 nemo                                         x86_64    2.6.5-1.fc22                         updates-testing    933 k
 nemo-extensions                              x86_64    2.6.5-1.fc22                         updates-testing    103 k
 numad                                        x86_64    0.5-19.20150602git.fc22              updates-testing     39 k
 oxygen-fonts                                 x86_64    5.3.1-1.fc22                         updates-testing    8.3 k
 oxygen-fonts-common                          noarch    5.3.1-1.fc22                         updates-testing     23 k
 oxygen-mono-fonts                            noarch    5.3.1-1.fc22                         updates-testing     26 k
 oxygen-sans-fonts                            noarch    5.3.1-1.fc22                         updates-testing     48 k
 oxygen-sound-theme                           noarch    5.3.1-1.fc22                         updates-testing    1.7 M
 perl-CGI                                     noarch    4.20-1.fc22                          updates-testing    202 k
 perl-Date-Manip                              noarch    6.50-1.fc22                          updates-testing    1.1 M
 perl-Getopt-Long                             noarch    2.46-1.fc22                          updates-testing     61 k
 perl-Locale-Codes                            noarch    3.35-1.fc22                          updates-testing    292 k
 perl-Module-CoreList                         noarch    1:5.20150520-1.fc22                  updates-testing     70 k
 perl-Scalar-List-Utils                       x86_64    1:1.42-1.fc22                        updates-testing     61 k
 plasma-breeze                                x86_64    5.3.1-1.fc22                         updates-testing    314 k
 plasma-breeze-common                         noarch    5.3.1-1.fc22                         updates-testing     27 M
 plasma-desktop-doc                           x86_64    5.3.1-1.fc22                         updates-testing    2.0 M
 plasma-milou                                 x86_64    5.3.1-1.fc22                         updates-testing     84 k
 plasma-nm                                    x86_64    5.3.1-1.fc22                         updates-testing    729 k
 plasma-nm-l2tp                               x86_64    5.3.1-1.fc22                         updates-testing     73 k
 plasma-nm-openconnect                        x86_64    5.3.1-1.fc22                         updates-testing     80 k
 plasma-nm-openswan                           x86_64    5.3.1-1.fc22                         updates-testing     53 k
 plasma-nm-openvpn                            x86_64    5.3.1-1.fc22                         updates-testing    131 k
 plasma-nm-pptp                               x86_64    5.3.1-1.fc22                         updates-testing     63 k
 plasma-nm-vpnc                               x86_64    5.3.1-1.fc22                         updates-testing    100 k
 plasma-systemsettings                        x86_64    5.3.1-1.fc22                         updates-testing    293 k
 powerdevil                                   x86_64    5.3.1-1.fc22                         updates-testing    618 k
 python                                       x86_64    2.7.10-1.fc22                        updates-testing     93 k
 python-cryptography                          x86_64    0.9-1.fc22                           updates-testing    481 k
 python-devel                                 x86_64    2.7.10-1.fc22                        updates-testing    396 k
 python-humanize                              noarch    0.5.1-1.fc22                         updates-testing     26 k
 python-librepo                               x86_64    1.7.16-1.fc22                        updates-testing     53 k
 python-libs                                  x86_64    2.7.10-1.fc22                        updates-testing    5.8 M
 python-nss                                   x86_64    0.16.0-1.fc22                        updates-testing    271 k
 python-requests                              noarch    2.7.0-1.fc22                         updates-testing     99 k
 python-setuptools                            noarch    17.0-1.fc22                          updates-testing    424 k
 python-twisted                               x86_64    15.1.0-1.fc22                        updates-testing    5.4 M
 python-urllib3                               noarch    1.10.4-2.20150503gita91975b.fc22     updates-testing    108 k
 python3-librepo                              x86_64    1.7.16-1.fc22                        updates-testing     54 k
 python3-requests                             noarch    2.7.0-1.fc22                         updates-testing    101 k
 python3-setuptools                           noarch    17.0-1.fc22                          updates-testing    406 k
 python3-urllib3                              noarch    1.10.4-2.20150503gita91975b.fc22     updates-testing    115 k
 qt4-style-oxygen                             x86_64    5.3.1-1.fc22                         updates-testing    370 k
 samba-client                                 x86_64    2:4.2.2-0.fc22                       updates-testing    485 k
 samba-client-libs                            x86_64    2:4.2.2-0.fc22                       updates-testing    4.3 M
 samba-common                                 noarch    2:4.2.2-0.fc22                       updates-testing    160 k
 samba-common-libs                            x86_64    2:4.2.2-0.fc22                       updates-testing    155 k
 samba-libs                                   x86_64    2:4.2.2-0.fc22                       updates-testing    257 k
 samba-winbind                                x86_64    2:4.2.2-0.fc22                       updates-testing    462 k
 samba-winbind-clients                        x86_64    2:4.2.2-0.fc22                       updates-testing    122 k
 samba-winbind-modules                        x86_64    2:4.2.2-0.fc22                       updates-testing    103 k
 scribus                                      x86_64    1.4.5-1.fc22                         updates-testing     22 M
 sddm-kcm                                     x86_64    5.3.1-1.fc22                         updates-testing    112 k
 sqlite                                       i686      3.8.10.2-1.fc22                      updates-testing    479 k
 sqlite                                       x86_64    3.8.10.2-1.fc22                      updates-testing    465 k
 sqlite-devel                                 x86_64    3.8.10.2-1.fc22                      updates-testing    118 k
 stunnel                                      x86_64    5.16-1.fc22                          updates-testing    133 k
 system-config-printer                        x86_64    1.5.7-3.fc22                         updates-testing    235 k
 system-config-printer-libs                   noarch    1.5.7-3.fc22                         updates-testing    829 k
 system-config-printer-udev                   x86_64    1.5.7-3.fc22                         updates-testing    101 k
 tkinter                                      x86_64    2.7.10-1.fc22                        updates-testing    380 k
 unbound-libs                                 x86_64    1.5.3-4.fc22                         updates-testing    356 k
 upower                                       x86_64    0.99.3-1.fc22                        updates-testing    146 k
 valgrind                                     x86_64    1:3.10.1-8.fc22                      updates-testing     16 M
 webkitgtk4                                   x86_64    2.8.3-2.fc22                         updates-testing     20 M
 wine                                         x86_64    1.7.44-1.fc22                        updates-testing     52 k
 wine-alsa                                    x86_64    1.7.44-1.fc22                        updates-testing    105 k
 wine-arial-fonts                             noarch    1.7.44-1.fc22                        updates-testing    140 k
 wine-capi                                    i686      1.7.44-1.fc22                        updates-testing     58 k
 wine-capi                                    x86_64    1.7.44-1.fc22                        updates-testing     58 k
 wine-cms                                     i686      1.7.44-1.fc22                        updates-testing     72 k
 wine-cms                                     x86_64    1.7.44-1.fc22                        updates-testing     73 k
 wine-common                                  noarch    1.7.44-1.fc22                        updates-testing    106 k
 wine-core                                    i686      1.7.44-1.fc22                        updates-testing     20 M
 wine-core                                    x86_64    1.7.44-1.fc22                        updates-testing     20 M
 wine-courier-fonts                           noarch    1.7.44-1.fc22                        updates-testing     99 k
 wine-desktop                                 noarch    1.7.44-1.fc22                        updates-testing    155 k
 wine-filesystem                              noarch    1.7.44-1.fc22                        updates-testing     81 k
 wine-fixedsys-fonts                          noarch    1.7.44-1.fc22                        updates-testing     65 k
 wine-fonts                                   noarch    1.7.44-1.fc22                        updates-testing     52 k
 wine-ldap                                    i686      1.7.44-1.fc22                        updates-testing    112 k
 wine-ldap                                    x86_64    1.7.44-1.fc22                        updates-testing    114 k
 wine-marlett-fonts                           noarch    1.7.44-1.fc22                        updates-testing     64 k
 wine-ms-sans-serif-fonts                     noarch    1.7.44-1.fc22                        updates-testing    1.7 M
 wine-openal                                  i686      1.7.44-1.fc22                        updates-testing     64 k
 wine-openal                                  x86_64    1.7.44-1.fc22                        updates-testing     65 k
 wine-opencl                                  i686      1.7.44-1.fc22                        updates-testing     63 k
 wine-opencl                                  x86_64    1.7.44-1.fc22                        updates-testing     64 k
 wine-pulseaudio                              i686      1.7.44-1.fc22                        updates-testing     93 k
 wine-pulseaudio                              x86_64    1.7.44-1.fc22                        updates-testing     94 k
 wine-small-fonts                             noarch    1.7.44-1.fc22                        updates-testing     67 k
 wine-symbol-fonts                            noarch    1.7.44-1.fc22                        updates-testing     77 k
 wine-system-fonts                            noarch    1.7.44-1.fc22                        updates-testing     71 k
 wine-systemd                                 noarch    1.7.44-1.fc22                        updates-testing     52 k
 wine-tahoma-fonts                            noarch    1.7.44-1.fc22                        updates-testing    156 k
 wine-twain                                   i686      1.7.44-1.fc22                        updates-testing     83 k
 wine-twain                                   x86_64    1.7.44-1.fc22                        updates-testing     85 k
 wine-wingdings-fonts                         noarch    1.7.44-1.fc22                        updates-testing     64 k
 wodim                                        x86_64    1.1.11-28.fc22                       updates-testing    322 k
 xorg-x11-server-Xorg                         x86_64    1.17.1-14.fc22                       updates-testing    1.4 M
 xorg-x11-server-Xwayland                     x86_64    1.17.1-14.fc22                       updates-testing    913 k
 xorg-x11-server-common                       x86_64    1.17.1-14.fc22                       updates-testing     44 k
 xorg-x11-server-devel                        x86_64    1.17.1-14.fc22                       updates-testing    245 k

Résumé de la transaction
======================================================================================================================
Installation     7 Packages
Mettre à jour  203 Packages

Taille totale des téléchargements : 208 M
Est-ce correct [o/N] : n
Opération annulée.
[root@host-192-168-1-2 ~]#

Comment 12 Raphael Groner 2015-06-06 09:23:18 UTC
Reproducible for me.

Comment 13 Tim Lauridsen 2015-06-06 13:16:49 UTC
Does yumex-dnf show updates-testing from now, that the problems with plasmashell is resolved ?

yumex-dnf does the

same as dnf upgrade * (with the select repositories enabled) to get the list of upgrade, so if there is problem in the transaction, these packages will not be shown. 


The idea was yumex-dnf should show the same updates as dnf update and not just show availble updates, there can not be applied to the system.

(relates to bug 1217155)

Comment 14 Tim Lauridsen 2015-06-06 13:31:15 UTC
The issues here is if then repo has problems, then the user don't see any updates and is not told there is some problems.
When the problem with updates-testing is fixed, then updates will be shown again.

Comment 15 Raphael Groner 2015-06-06 14:43:45 UTC
I do not have plasmashell installed. 

> dnf --enablerepo=updates-testing upgrade *
does not give me any updates

> dnf --enablerepo=updates-testing upgrade
a long list appears

Maybe it should work without the star?

Comment 16 dominique 2015-06-06 17:19:48 UTC
For info
I downgrade to yumex-dnf-4.1.2-1 (updates repo), and that work fine, I see package from updates-testing.

The problem is with yumex-dnf-4.1.3-1 (updates-testing repo).

Comment 17 Tim Lauridsen 2015-06-09 11:20:13 UTC
(In reply to dominique from comment #16)
> For info
> I downgrade to yumex-dnf-4.1.2-1 (updates repo), and that work fine, I see
> package from updates-testing.
> 
> The problem is with yumex-dnf-4.1.3-1 (updates-testing repo).

Yes, dnfdaemon-0.3.9 changed the way updates was returned (see bug 1217155)
before I returned all available updates from the repositories, now I use

dnf.Base.upgrade_all()
dnf.Base.resolve()

and return the updates from the transaction, it will give the same updates as

dnf update from the command line.


The problem is when there is a problem with the repo, dnf silently skip all updates from the repo.

The problem with the approch in dnfdaemon-0.3.8 and earlier, it that it shows all updates, even if they are excluded in dnf or has a higher cost than the installed version.

yumex-dnf should return the same updates as dnf for consistancy, but it shall tell the user there is some problems in the repo.

Comment 18 Tim Lauridsen 2015-06-09 11:22:59 UTC
@dominique, could you place test, when the issues shown by dnf update --best is solved, yumex-dnf show updates from updates-testing

Comment 19 Tim Lauridsen 2015-06-10 11:31:26 UTC
OK, I have found the problem.

Workaround:

Preferences -> Repositories.
check 'updates-testing' 
check 'save selected repositories'


restart yumex-dnf and updates-testing updates are shown

Preferences -> Repositories.
uncheck 'updates-testing' 
check 'save selected repositories'

restart yumex-dnf and updates-testing updates are not shown

Comment 21 dominique 2015-06-10 15:55:10 UTC
Ok Tim
I rebuild dnfdeamon with your new code, and now yumex-dnf-4.1.3-1.fc22 work well, it show the list for updates-testing when I click on the repo in "Preference".

For me that solve this bug.

Comment 22 Raphael Groner 2015-06-23 05:11:10 UTC
(In reply to Tim Lauridsen from comment #19)
> OK, I have found the problem.
> 
> Workaround:
> 
> Preferences -> Repositories.
> check 'updates-testing' 
> check 'save selected repositories'
> 
> 
> restart yumex-dnf and updates-testing updates are shown

No. This does not work for me. Tried with:
yumex-dnf-4.1.3-1.fc22.noarch
dnfdaemon-0.3.9-1.fc22.noarch

> Preferences -> Repositories.
> uncheck 'updates-testing' 
> check 'save selected repositories'
> 
> restart yumex-dnf and updates-testing updates are not shown

Not applicable, see above.

(In reply to dominique from comment #21)
> Ok Tim
> I rebuild dnfdeamon with your new code, and now yumex-dnf-4.1.3-1.fc22 work
> well, it show the list for updates-testing when I click on the repo in
> "Preference".
> 
> For me that solve this bug.

Could you provide new testing packages, please?

Comment 23 dominique 2015-06-23 16:30:17 UTC
@Raphael Groner 

I upload my rpm on mega : https://mega.co.nz/#!kBtEwAhD!RSmXjZajyCCxxyW0Ormt4_na3ghQ32Gwn7rGcmsBBO8

Unzip and test.

Comment 24 Raphael Groner 2015-06-23 18:11:28 UTC
Hi dominique,

thanks for the packages. Sorry, I do not trust Mega. Why not use Copr? Please provide your SRPM.

Comment 25 dominique 2015-06-23 18:13:08 UTC
Another way is install the rpm for F23, which have the modification from the post 20:
http://koji.fedoraproject.org/koji/buildinfo?buildID=648221

Comment 26 Raphael Groner 2015-07-24 09:49:07 UTC
This bug is really annoying. Any news or plans to release a fix?

Comment 27 Tim Lauridsen 2015-10-01 14:14:01 UTC
Sorry for slow response, had a very busy sommer

New builds are summit in bodhi 

https://bodhi.fedoraproject.org/updates/?packages=yumex-dnf


Note You need to log in before you can comment on or make changes to this bug.